[PATCH 2/8] Show all files that may need updating.

Cristian Ionescu-Idbohrn cristian.ionescu-idbohrn at axis.com
Sun May 12 02:48:35 PDT 2013


Signed-off-by: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn at axis.com>
---
 scripts/check-version |   10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

diff --git a/scripts/check-version b/scripts/check-version
index 53a9a84..a6f1f21 100755
--- a/scripts/check-version
+++ b/scripts/check-version
@@ -67,11 +67,9 @@ sts=0
 whine "checking for version $v"
 for f in $files; do
 	grep $opts -EHio "(VERSION=|subsurface[[:blank:]]+)?\<v?$v\>" $f || {
-		msg="'$f' may need updating"
-		if [ $release = y ]; then
-			croak "$msg"
-		else
-			whine "$msg"
-		fi
+		[ $release != y ] || sts=1
+		whine "'$f' may need updating"
 	}
 done
+
+exit $sts
-- 
1.7.10.4



More information about the subsurface mailing list